Bug 1196717 - backport fstab and grub.conf password stripping from upstream
Summary: backport fstab and grub.conf password stripping from upstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Shane Bradley
QA Contact: David Kutálek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 15:19 UTC by Bryn M. Reeves
Modified: 2015-07-22 06:33 UTC (History)
7 users (show)

Fixed In Version: sos-3.2-15.el6
Doc Type: Bug Fix
Doc Text:
Prior to this update, if the user defined passwords in the /etc/fstab and /boot/grub/grub.conf files, the sosreport utility included these passwords into the report. Consequently, the report tarball contained the passwords, either in plain text format or hashed, which was considered insecure. With this update, sosreport excludes passwords and other secrets when generating the report. As a result, /etc/fstab and /boot/grub/grub.conf collected in the report tarball do not contain the passwords.
Clone Of: 1107751
: 1196722 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:33:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1323 normal SHIPPED_LIVE sos bug fix and enhancement update 2015-07-20 17:53:12 UTC

Comment 6 errata-xmlrpc 2015-07-22 06:33:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1323.html


Note You need to log in before you can comment on or make changes to this bug.